VerifyDesign (Ant Contrib)
Keywords: net.sf.antcontrib.design.VerifyDesign class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.design
Class VerifyDesign

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.design.VerifyDesign

All Implemented Interfaces:
  Log

    public class VerifyDesign

extends org.apache.tools.ant.Task
implements Log

Author:
  dhiller

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`VerifyDesign()`

Method Summary
`void` | `addConfiguredPath(org.apache.tools.ant.types.Path path)`
`void` | `execute()`
`void` | `setCircularDesign(boolean isCircularDesign)`
`void` | `setDeleteFiles(boolean deleteFiles)`
`void` | `setDesign(java.io.File f)`
`void` | `setFillInBuildException(boolean b)`
`void` | `setJar(java.io.File f)`
`void` | `setNeedDeclarationsDefault(boolean b)`
`void` | `setNeedDependsDefault(boolean b)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.antcontrib.design.Log
`log`

Constructor Detail

### VerifyDesign

    public VerifyDesign()

Method Detail

### setJar

    public void setJar(java.io.File f)

### setDesign

    public void setDesign(java.io.File f)

### setCircularDesign

    public void setCircularDesign(boolean isCircularDesign)

### setDeleteFiles

    public void setDeleteFiles(boolean deleteFiles)

### setFillInBuildException

    public void setFillInBuildException(boolean b)

### setNeedDeclarationsDefault

    public void setNeedDeclarationsDefault(boolean b)

### setNeedDependsDefault

    public void setNeedDependsDefault(boolean b)

### addConfiguredPath

    public void addConfiguredPath(org.apache.tools.ant.types.Path path)

### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD